
 /*+-------------------------------------------------------+
   |  SAS Global Forum 2013 Sample                         |
   |  Google-like maps in SAS                              |          
   |                                                       |
   |    NAME: OAG_test_connect.sas                         |
   |   TITLE: Test connection configuration to tile server |
   | PRODUCT: GRAPH                                        |
   | PAPER TITLE:                                          |
   |   Google-like Maps in SAS                             |
   | USE:                                                  |
   |   _tileserv - identifies map tile server              |
   |   _proxy    - identify proxy server                   |
   |   _ssl      - turns on https request = 'Y'            |
   |   _loopnct  - how many images to get.  For performance|
   | NOTE: Modify all libnames and filenames to your       |
   |       installed path.                                 |
   |                                                       |
   |18Jan2013                                              |
   +-------------------------------------------------------+*/

/*location of the programs */
libname OAG 'C:\SGF2013\AFpgm';

/* reset the macro variables */
%include "c:\SGF2013\AFpgm\OAG_reset.sas";

%let _tileserv=""; /*default SAS Server*/
*%let _tileserv='c.tile.openstreetmap.org';
*%let _tileserv='otile1.mqcdn.com/tiles/1.0.0/osm';
%let _tileserv=otile1.mqcdn.com/tiles/1.0.0/sat;

%let _proxy=;
*%let _proxy="http://this.that.yourcompany.com:80";

%let _ssl=;
*%let _ssl='Y';

%let _loopcnt=; /*default - get one image */
*%let _loopcnt=10; /*get 10 images*/

proc display cat=OAG.osmmapanno.OAG_test_connect.scl; run;
